Ask Your Question
0

Can RTI Connext Open Community Source (OCS) be used?

asked 2018-08-24 13:22:31 -0500

calvertdw gravatar image

updated 2018-08-24 13:28:44 -0500

When I applied for, recieved, and installed the OCS distribution of RTI Connext. I was not able to run with it.

F:\dev\ros2bouncybin
$ local_setup.bat
[connext_cmake_module] Error: The expected location of the Connext environment setup script [[C:\Program Files\rti_connext_dds-5.3.1\resource\scripts\rtisetenv_x64Win64VS2017.bat]] does not exist. Support for Connext will not be available.

Is this supposed to be supported?

FIles that exist in C:\Program Files\rti_connext_dds-5.3.1\resource\scripts:

  • rticommon.bat
  • rticommon_config.bat
edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
2

answered 2018-08-27 14:08:07 -0500

Dirk Thomas gravatar image

It looks like that you have only run a "host" installer but not any "target" bundle. You might want to double check to install at least one target bundle - e.g. something like "target-x64Win64VS2017.rtipkg".

And yes, you should be able to use the Connext OCS license - at the end of the day the code / API is the same and is only shipped under a different license (and potentially less functionality / tools).

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

2 followers

Stats

Asked: 2018-08-24 13:22:31 -0500

Seen: 66 times

Last updated: Aug 27 '18